Package org.apache.maven.scm.provider.clearcase.command.tag

## Class ClearCaseTagConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.clearcase.command.tag.ClearCaseTagConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class ClearCaseTagConsumer
    extends java.lang.Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Trygve Laugstøl

### Constructor Summary

Constructors
`ClearCaseTagConsumer​(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<ScmFile>` `getTaggedFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseTagConsumer

    public ClearCaseTagConsumer​(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getTaggedFiles

    public java.util.List<ScmFile> getTaggedFiles()